
From: Adrian Bunk <bunk@stusta.de>

This patch fixes a use after free found by the Coverity checker.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                       |    0 
 25-akpm/drivers/telephony/ixj.c |    2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/telephony/ixj.c~drivers-telephony-ixj-fix-a-use-after-free drivers/telephony/ixj.c
--- 25/drivers/telephony/ixj.c~drivers-telephony-ixj-fix-a-use-after-free	2005-03-23 19:51:15.000000000 -0800
+++ 25-akpm/drivers/telephony/ixj.c	2005-03-23 19:51:15.000000000 -0800
@@ -5949,10 +5949,10 @@ static int ixj_build_filter_cadence(IXJ 
 	j->cadence_f[lcp->filter].off3 = lcp->off3;
 	j->cadence_f[lcp->filter].off3min = 0;
 	j->cadence_f[lcp->filter].off3max = 0;
-	kfree(lcp);
 	if(ixjdebug & 0x0002) {
 		printk(KERN_INFO "Cadence %d loaded\n", lcp->filter);
 	}
+	kfree(lcp);
 	return 0;
 }
 
diff -L drivers/telephony/ixj.c.old -puN /dev/null /dev/null
_
